<template>
    <web-view
        :src="src">
    </web-view>
</template>

<script>
import { getToken } from '@/utils/auth'
import {server_url} from '@/utils/config.js'
var wv;
export default {
    data() {
        return {
            src: '',
			query: {},
			webviewServer: server_url,
			
        };
    },
    onLoad(query) {
		this.query = query
		
		this.initData(query)
        
    },
	
	onReady() {
	  // #ifdef APP-PLUS
	  var self = this;
	  var currentWebview = this.$scope.$getAppWebview(); //此对象相当于html5plus里的plus.webview.currentWebview()。在uni-app里vue页面直接使用plus.webview.currentWebview()无效，非v3编译模式使用this.$mp.page.$getAppWebview()
	  setTimeout(function () {
		wv = currentWebview.children()[0];
		wv.addEventListener(
			"progressChanged",
			function (e) {
			  wv.canBack(function (e) {
				self.canBack = e.canBack;
			  });
			},
			false
		);
	  }, 500); //如果是页面初始化调用时，需要延时一下
	  // #endif
	},
	// 设备上点击返回按钮时的处理
	onBackPress(e) {
	  if (wv && this.canBack) {
		wv.back();
	  } else {
		// 没有可返回的页面了, 可以做些其他的处理, 比如回首页等等
	  }
	  return true;
	},
	/* onNavigationBarButtonTap(e) {
		
	  // 返回
	  if (e.index === 0) {
		// #ifdef H5
		uni.navigateBack();
		// #endif
	 
		// #ifdef APP-PLUS
		if (this.canBack) {
			wv.back();
		} else {
			// 没有可返回的页面了, 可以做些其他的处理, 比如回首页等等
		}
		// #endif
	  }
	  // 首页
	  if (e.index === 1) {
		// 显示tabbar
		//uni.showTabBar({
		//  animation: false
		//});
		uni.switchTab({
		  url: '/pages/index/index'
		});
	  }
	}, */
	watch: {
		authtoken: {
			immediate: true,
			deep: true,
			handler(newVal) {
				// console.log(newVal,'newValnewValnewVal')
				// this.initData(this.query)
			}
		}
	},
	computed: {
		token() {
			return this.$store.state.user.token 
		}
	},
    methods: {
	
		
		initData(query) {
			let urlParams = ''
			for (let key in query) {
			    if (key != 'token') {
			        urlParams += `&${key}=${query[key]}`
			    }		
			}
			urlParams = urlParams.replace('&', '?')
			this.src = `${this.webviewServer}/mobile/?${urlParams}`
			
		},
        getLocation() {

        },
        scanCode() {

        }
    }
}
</script>

<style lang="scss"></style>
